<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="=UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>CST-120 Syllabus</title>

    <link rel="stylesheet" type="text/css" href="css/mysite.css">
</head>

<body>
  

        <div id="topic1">
            <h3>(Duration 2 Weeks)</h3>
            <h2>Topic 1 HTML</h2>
            <p>
                In this topic, students are introduced to the HTML markup language where
                they learn basic structure, basic elements of an HTML document, and how
                to work with text and basic controls. The students finish this topic by
                learning the developer tools available to them, as well as how web
                servers work to help support development of HTML-based applications.
            </p>
            <p>Objectives:</p>
            <ol>
                <li>
                    Develop webpages with basic elements and structure that include, but
                    are not limited to, document, head, and body tags.
                </li>
                <li>
                    Develop webpages with text that includes, but is not limited to,
                    headings, paragraphs, formatting, fonts, and color tags.
                </li>
                <li>
                    Develop webpages with components that include, but are not limited to,
                    links, images, and lists tags.
                </li>
                <li>
                    Investigate how a web server functions. Identify differences between
                    localhost, file URL and domain names in the URL.
                </li>
                <li>
                    Investigate the developer's tools available as a webpage developer.
                </li>
            </ol>
            <h3>Readings</h3>
            <url>
                <li>
                    W3Schools: Go to https://www.w3schools.com. Select the Learn HTML menu
                    under the HTML and CSS section. Complete all reading and tutorials
                    under the HTML Home Tutorial section.
                </li>
            </url>
            <hr />
        </div>

        <div id="topic2">
            <h3>(Duration 2 Weeks)</h3>
            <h2>Topic 2 Advanced HTML</h2>

            <p>
                In this topic, students continue to expand their knowledge of the HTML
                markup language, learning some of the more advanced features of the HTML
                markup language and how to work with layouts, graphics, and media
                content. The students finish this topic by learning how to make HTML
                pages ADA compliant. Readings: W3Schools: Go to
                https://www.w3schools.com. Select the Learn HTML menu under the HTML and
                CSS section. Complete all reading and tutorials under the HTML Forms,
                HTML Graphics, HTML Media, and HTML API's Tutorial sections.
            </p>

            <p>Objectives:</p>
            <ol>
                <li>
                    Develop webpages with layouts that include, but are not limited to,
                    blocks/div/span, tables, and layouts tags.
                </li>
                <li>
                    Develop webpages with Graphics that include, but are not limited to,
                    image, canvas, and SVG tags.
                </li>
                <li>
                    Develop webpages with media that include, but are not limited to,
                    video and audio tags.
                </li>
                <li>
                    Explain how and why ADA compliance is achieved with ADA guidelines.
                </li>
            </ol>
            <h3>Readings</h3>
            <url>
                <li>
                    W3Schools: Go to https://www.w3schools.com. Select the Learn HTML menu
                    under the HTML and CSS section. Complete all reading and tutorials
                    under the HTML Home Tutorial section.
                </li>
            </url>
            <hr />
        </div>

        <div id="topic3">
            <h3>(Duration 2 Weeks)</h3>
            <h2>Topic 3 CSS</h2>
            <p>
                In this topic, students learn Cascading Style Sheets (CSS) and to apply
                styling to HTML pages using fonts, colors, and formatting. The students
                finish the topic by learning how to apply backgrounds, transitions, and
                animations to their HTML pages.
            </p>
            <p>Objectives:</p>
            <ol>
                <li>
                    Develop webpages with CSS basics styles that include, but are not
                    limited to, inline, internal, external, and selectors styles
                </li>
                <li>
                    Develop webpages with text that include, but are not limited to,
                    built-in fonts, custom fonts from external sources, color, and
                    alignment styles.
                </li>
                <li>
                    Develop webpages with formatting and layouts that include, but are not
                    limited to, backgrounds, borders, margins, padding, width/height, and
                    the box model styles.
                </li>
                <li>
                    Develop webpages that include, but are not limited to, transitions and
                    animations styles.
                </li>
            </ol>

            <h3>Readings</h3>
            <url>
                <li>
                    Readings: W3Schools: Go to https://www.w3schools.com. Select the Learn
                    CSS menu under the HTML and CSS section. Complete all reading and
                    tutorials under the CSS Tutorial and CSS Advanced Tutorial sections.
                </li>
            </url>
            <hr />
        </div>

        <div id="Topic 4">
            <h3>(Duration 2 Weeks)</h3>
            <h2>4 JavaScript</h2>
            <p>
                Description: In this topic, students are introduced to the JavaScript
                programming language. This programming language is used as the
                foundation for client-side programming on webpages. Students learn the
                basic language syntax, how to work with variables, make decisions,
                perform repetitive operations, and create reusable functions.
            </p>
            <p>Objectives:</p>
            <ol>
                <li>
                    Develop code that integrates basic JavaScript (inline and external
                    files) in a webpage.
                </li>
                <li>
                    Develop code that leverages variables and data types in a webpage.
                </li>
                <li>
                    Develop code that leverages operators (math, assignment, comparison,
                    logical, Boolean, and string) in a webpage.
                </li>
                <li>Develop code that uses controls (if, for, loops) in a webpage.</li>
                <li>Develop code that uses reusable functions in a webpage.</li>
            </ol>
            <h3>Readings:</h3>
            <url>
                <li>
                    W3Schools: Go to https://www.w3schools.com. Select the Learn
                    JavaScript menu under the JavaScript section. Complete all reading and
                    tutorials under the JS Tutorial Tutorial section.
                </li>
            </url>
            <hr />
        </div>


        <div id="Topic 5">
            <h3>(Duration 2 Weeks)</h3>
            <h2>Topic 5 Advanced JavaScript </h2>
            <P>
                Description: In this topic, students
                continue to expand their knowledge of the JavaScript programming language,
                learning how to create objects, work with data as arrays, and handle events
                from DOM objects from their HTML pages. The students finish the topic by also
                being introduced to the JavaScript Object Notation (JSON), learning the
                advanced features of newer updates to the JavaScript programming language and
                how this programming language is used along with current web application frameworks
                as the foundation for building modern dynamic web applications.
            </P>
            <p>Objectives:</p>
            <ol>
                <li>Develop code that leverages objects in a webpage.</li>
                <li>Develop code that leverages arrays in a webpage.</li>
                <li>Develop code that handles events in a webpage.</li>
                <li>Explain what JSON is and how this data format is
                    used to build web applications.</li>
                <li>Investigate advanced features found in recent
                    updates to the JavaScript programming language.
                </li>
                <li>Investigate recent JavaScript web application
                    frameworks that are available to build dynamic web
                    applications.</li>
            </ol>
            <h3>Readings:</h3>
            <url>

                - W3Schools: Go to https://www.w3schools.com.
                Select the Learn JavaScript menu under the JavaScript section. Complete all reading
                and tutorials under the JS Forms, JS Objects, JS Functions, and JS HTML DOM Tutorial sections.
                <br>
                <br>
                - W3Schools: Go to https://www.w3schools.com. Select the Learn JavaScript menu under the
                JavaScript section. Complete all reading and tutorials under the JS Browser BOM, JS AJAX, and
                JS JSON Tutorial sections.

            </url>
            <hr />
        </div>


        <div id="Topic 6">
            <h3>(Duration 3 Weeks)</h3>
            <h2>Topic 6 Web Development Libraries </h2>
            <p>
                Description: In this topic, students learn to use web development
                libraries to add dynamic, rich, and compelling content and user interfaces
                to their webpages. Students are also introduced to the concept of responsive
                webpages, what this means, and how they can support this concept when building
                their webpages.
            </p>
            <p>Objectives:</p>
            <ol>
                <li>
                    Develop webpages that supports a responsive design.
                </li>
                <li>
                    Develop webpages that leverage the use of jQuery, which
                    includes but is not limited to, the use of selectors, events,
                    DOM manipulation, AJAX, and data table features.
                </li>
                <li>Develop webpages that leverage the use of Bootstrap, which includes
                    but is not limited to, the use of the grid system and various UI components
                    (buttons, text, alerts, tables, forms, and NavBar).
                </li>
            </ol>
            <h3>Readings:</h3>
            <url>
                - W3Schools: Go to https://www.w3schools.com. Select the Learn CSS menu under
                the HTML and CSS section. Complete all reading and tutorials under the CSS
                Responsive and CSS Grid Tutorial sections.</li>
                <br>
                <br>
                -W3Schools: Go to https://www.w3schools.com. Select the Learn jQuery
                menu under the JavaScript section. Complete all reading and tutorials under
                the jQuery Tutorial, jQuery Effects, jQuery HTML, and jQuery AJAX
                Tutorial sections.
                <br>
                <br>
                - W3Schools: Go to https://www.w3schools.com. Select the Learn Bootstrap
                menu under the HTML and CSS section. Complete all reading and tutorials for
                the latest version of Bootstrap under the Bootstrap Tutorial and Bootstrap
                Grid Tutorial sections.
            </url>
            <hr />
        </div>

        <div id="Topic 7">
            <h3>(Duration 2 Weeks)</h3>
            <h2>Topic 7 Advanced Web Development</h2>
            <p>Description: In this topic, students learn that building static webpages has
                limits and that they often need to be deployed on web servers sometimes backed with
                a server-side programming language or database. This topic, at minimum, will introduce
                the students to the HTTP protocol, client server model, HTML forms, and how to implement
                forms processing to expand on the capabilities of the webpages they have built so far
                in previous topics. This topic introduces the students to the basic concepts required
                for future web application development courses where formal dynamic web application
                frameworks are used.</p>
            <P>Objectives:</P>
            <ol>
                <li>Investigate the HTTP protocol and client server model.</li>
                <li>Develop webpages with HTML forms.</li>
                <li>Develop webpages that integrate forms processing on the server.</li>
            </ol>
            <h3>Readings:</h3>
            <url>
                <li>None.</li>
            </url>
            
        </div>

        <div>
            <p align="center">
                <a href="index.html">Back to Main Page</a>
            </p>
            
            <p align="center">
                <a href="matrix.html">View Course Assignment Matrix</a>
            </p>
        </div>
        
        
    </div>
        
    <hr />
    <br>
    <div align="center" style="text-align: center;position: fixed;bottom: 0; width: 100%;">
      <font color="purple"><h5>Copyright 2002 Grand Canyon University</h5></font>
  </div>
</body>

</html>


</div>
<div>
        
    
